Delete Document Lock
Deleting a document lock is analogous to undoing check out of a document. The authenticated user must have Edit Document permission in the document lifecycle state security settings as well as one of the following:
- Document Owner role on the document
- All Documents: All Document Actions permission
- Document: Cancel Checkout permission
DELETE
/api/{version}/objects/documents/{doc_id}/lockURI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/documents/534/lockResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Undo check out successful."
}Response Details
Section link for Response DetailsOn SUCCESS, Vault unlocks the document, allowing other users to lock/check out the document.